# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.uploader
Enum ResumableHttpFileUploader.RequestMethod

    java.lang.Object
      java.lang.Enum<ResumableHttpFileUploader.RequestMethod>
          com.google.gdata.client.uploader.ResumableHttpFileUploader.RequestMethod

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ResumableHttpFileUploader.RequestMethod>

Enclosing class:
  ResumableHttpFileUploader

    public static enum ResumableHttpFileUploader.RequestMethod

extends java.lang.Enum<ResumableHttpFileUploader.RequestMethod>

Http request type to use in upload requests.

Enum Constant Summary
`POST`
`PUT`

Method Summary
`static ResumableHttpFileUploader.RequestMethod` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ResumableHttpFileUploader.RequestMethod[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### POST

    public static final ResumableHttpFileUploader.RequestMethod POST

### PUT

    public static final ResumableHttpFileUploader.RequestMethod PUT

Method Detail

### values

    public static ResumableHttpFileUploader.RequestMethod[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ResumableHttpFileUploader.RequestMethod c : ResumableHttpFileUploader.RequestMethod.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ResumableHttpFileUploader.RequestMethod valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null